Author Topic: can't Launch Freespace Open  (Read 3906 times)

0 Members and 1 Guest are viewing this topic.

can't Launch Freespace Open
Hello, I'm, trying to get FreeSpace Open installed on Lubuntu 14.04 x64. I installed Diaspora about a month ago and that runs normally, so I decided to get Freespace2.

I got Freespace 2 from GOG and extracted the installer using WINE. Then I copied the contentse of the "c:/GOG Games/Freespace 2" directory to $HOME/Programs/Games/FreeSpace2. I used http://www.fsoinstaller.com/ Fresspace Open installer to install SCP. Found I had to extract the fs2_open_3.7.0.tar.bz2 to $HOME/Programs/Games/FreeSpace2.

Finally, I downloaded the wxlauncher to  and built it in $HOME/Programs/Games/FreeSpace2/wxlauncher/wxlauncher-0.9.4/build

This all seemed ok, but executing the resulting $HOME/Programs/Games/FreeSpace2/wxlauncher/wxlauncher-0.9.4/build/wxlauncher doesn't seem to work right. Choosing the Diaspora profile still launches, but creating a new profile a pointing to $HOME/Programs/Games/FreeSpace2/ detects the fs2_open_3.7.0 in the "Basic Settings" Tab, but in the "Advanced Settings" tab the launchers reports "The Executable did not generate a flag file". If I hit play anyhow FreeSpace does not start, and the Launcher says FS2 Open exited with a status 127.

Trying to execute fs2_open_3.7.0 from the CLI says "error while loading shared libraries: libSDL-1.2.so.0: cannot open shared object file: No such file or directory"

I'm not sure if this a problem of having two wxlaunchers (1 build when I was installing Diaspora, and the new one I built for FS2 Open) or something else.

I found this post http://www.hard-light.net/forums/index.php?topic=83543.0 from a while back, but that seems to be a windows permission problem.

wxlauncher.log attached

[attachment deleted by an evil time traveler]

 

Offline niffiwan

  • 211
  • Eluder Class
Re: can't Launch Freespace Open
Welcome to HLP! :)

I think the problem you're having is that the fs2_open 3.7.0 binary that the installer downloaded for you is 32bit (not 64bit) and compiled on ubuntu 12.04 so it won't run correctly on your system. This leave you with a couple of options.

1) If you were using Diaspora 1.1 or 1.1.1 and have built the executable from source, copy that executable to your FSO directory and it should work fine.

2) You can compile FSO from its source. There are some instructions on how to do that on our wiki.  For getting the code, if you don't want to use the latest copy from subversion you can download 3.7.0 source here, or 3.7.2 RC1 source here.  If you have installed Diaspora and built its executable from source then you should be familiar with this process, and probably have all the dependencies installed already.

If you have any issues with this, please let us know and we'll help you sort them out.
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Linux OBS Packages: FSO 3.7.0 | FSO BP Build | wxLauncher (?) | PCS2 (?) | wxVPView (?)
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 
Re: can't Launch Freespace Open
Well, I'll be darned. Copying the Diaspora executable worked, so I'm up an running now. That running FS 3.6.13, and I think I running the Diaspora version of wxLauncher. So I'll take a shot at building 3.7 from source and see what happens

 
Re: can't Launch Freespace Open
Yep, had to build from source. With FS Open 3.7.0 built and wxlanucher built i'm up and running. Thanks!

 

Offline niffiwan

  • 211
  • Eluder Class
Re: can't Launch Freespace Open
No problem, and I'm glad that's working for you now :)
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Linux OBS Packages: FSO 3.7.0 | FSO BP Build | wxLauncher (?) | PCS2 (?) | wxVPView (?)
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

  
Re: can't Launch Freespace Open
Hi all, I'm new, I'm trying to install this fantastic game. I played it when it was a GNG (Good New Game) xD
However, i found a bypass to run the fs2_open without recompile all or installing the 64 bit Diaspora (1,5 Gb to download, so long and boring) to copy the executable.

Just install the 32 bit libraries for fs2_open.

In older Ubuntu would be easier, just install the ia32-libs package ( sudo apt-get install ia32-libs )
In Ubuntu 14.04 you have to install the i386 architecture following this method → ( http://askubuntu.com/questions/454253/64bit-ubuntu-14-04-running-32bit-binaries )
then, as written below in that post, use the command ( ldd ./fs2_open_3.7.0 | grep not ) to found the missing libraries to install and install the i386 lib versions of these ( sudo apt-get install missinglibrary:i386 )

for me, the libraries needed was:
liblua5.1-0:i386
libtheora-bin:i386
libvorbisfile3:i386

i don't know why but after installing those packages, also the libSDL request is gone.

I hope this can help other 64bit Linux players.

Cya ;)

 

Offline niffiwan

  • 211
  • Eluder Class
Re: can't Launch Freespace Open
That's a good tip - thanks for that :)
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Linux OBS Packages: FSO 3.7.0 | FSO BP Build | wxLauncher (?) | PCS2 (?) | wxVPView (?)
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...